API Method: StartActionByGetAndWait (deprecated)
|
Despite its name, this method no longer supports |
Migrating to StartActionAndWait
StartActionAndWait takes the same actionId field, and returns the same Log Entry, so you only need to change the method name. It also accepts arguments and a justification.
Before (deprecated)
user@host: curl http://olivetin.example.com:1337/api/StartActionByGetAndWait --json '{"actionId": "pingGithub"}'
After
user@host: curl http://olivetin.example.com:1337/api/StartActionAndWait --json '{"actionId": "pingGithub"}'
{"logEntry":{"actionTitle":"Ping GitHub.com","output":"...","exitCode":0, ... }}